﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using MySql.Data.MySqlClient;

namespace trocainformacoes
{
    public partial class frmusuarios : Form
    {
        public frmusuarios()
        {
            InitializeComponent();
        }

        private void frmtrabalho_Load(object sender, EventArgs e)
        {
            lbldatahora.Text = parametros.datahora.ToString();
        }

        private void btninserir_Click(object sender, EventArgs e)
        {
            Liga_desliga(true);
        }

        private void Liga_desliga(bool valor)
        {
            grpusuarios.Enabled = valor;
            btninserir.Enabled = !valor;

        }

        private void btncancelar_Click(object sender, EventArgs e)
        {
            Liga_desliga(false);
        }

        private void btngravar_Click(object sender, EventArgs e)
        {

            if (MessageBox.Show("Deseja salvar este novo usuário?", "Sistema", MessageBoxButtons.YesNo, MessageBoxIcon.Question) == DialogResult.Yes)
            {
                MySqlConnection conexao = parametros.AbreConexao();
                MySqlCommand comando = new MySqlCommand();
                comando.Connection = conexao;
                comando.CommandText = "Insert into login values ('" + txtusuario.Text + "','" + txtsenha.Text + "'," + Convert.ToInt32(cmbnivel.Text) + ")";
                try
                {
                    conexao.Open();
                    comando.ExecuteNonQuery();
                    conexao.Close();
                    MessageBox.Show("Usuário inserido com sucesso!", "Sistema", MessageBoxButtons.OK, MessageBoxIcon.Exclamation);
                    Liga_desliga(false);
                    txtusuario.Text = "";
                    txtsenha.Text = "";
                    cmbnivel.Text = "";
                }
                catch (MySqlException erro)
                {
                    MessageBox.Show(erro.Message, "Sistema", MessageBoxButtons.OK, MessageBoxIcon.Error);
                }
            }
            else
            {
                txtusuario.Focus();
            }
        }

        private void btnsair_Click(object sender, EventArgs e)
        {
            this.Close();
        }

    }
}
